For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Pro Address

Get Pro address information

get
Path parameters
addressstringRequired

TRON address

Header parameters
CF-ACCESS-KEYstringRequired

The API access key.

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature.

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).

Responses
200

OK

application/json
codeinteger · int32Optional

Returns 0 on success; all other values indicate errors

msgstringOptional

Error message returned when an error occurs

sub_codestringOptional
sub_msgstringOptional
get/v1/mate/open/pro/{address}
GET /v1/mate/open/pro/{address} HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "id": 1,
    "address": "text",
    "plan_id": 1,
    "plan_name_en": "text",
    "plan_name_zh": "text",
    "plan_subscription_sun": 1,
    "plan_unit_sun": 1,
    "billing_mode": "SLOT",
    "quota_mode": "UNLIMITED",
    "slot_next_billing_timestamp": 1,
    "quantity": 1,
    "used_quantity": 1,
    "quota_count": 1,
    "used_count": 1,
    "quota_start_time": 1,
    "total_slot_fee": 1,
    "total_energy_fee": 1,
    "remark": "text",
    "is_auto_closable": true,
    "idle_hours": 1,
    "status": "ACTIVE",
    "expired_at": 1,
    "created_at": 1
  }
}

Last updated